package com.dxhy.admin.sys.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-12-14
 */
@Component
public class AdminConfig {

    public static String company;

    public static String aceKey;

    public static String aceId;

    public static String qsStatus;

    public static String upgradeStatus;

    public static String checkStatus;

    public static String cjStatus;

    public static String queryRoleUrl;

    public static String queryUserUrl;

    public static String userCompany;

    public static int expore;

    public static int expire;

    public static String loginUrl;

    public static String webscoketUrl;

    public static String itaxUser;

    public static String itaxDept;

    public static String itaxSwitch;

    public static String parentId;

    public static String loginOutUrl;

    public static String validateUrl;
    public static String saaskey;

    @Value("${dept.company:BIGB}")
    public void setCompany(String company) {
        AdminConfig.company = company;
    }

    @Value("${dept.aceKey:}")
    public void setAceKey(String aceKey) {
        AdminConfig.aceKey = aceKey;
    }

    @Value("${dept.aceId:}")
    public void setAceId(String aceId) {
        AdminConfig.aceId = aceId;
    }

    @Value("${dept.qsStatus:0}")
    public void setQsStatus(String qsStatus) {
        AdminConfig.qsStatus = qsStatus;
    }

    @Value("${dept.upgradeStatus:1}")
    public void setUpgradeStatus(String upgradeStatus) {
        AdminConfig.upgradeStatus = upgradeStatus;
    }

    @Value("${dept.checkStatus:1}")
    public void setCheckStatus(String checkStatus) {
        AdminConfig.checkStatus = checkStatus;
    }

    @Value("${dept.cjStatus:1}")
    public void setCjStatus(String cjStatus) {
        AdminConfig.cjStatus = cjStatus;
    }

    @Value("${dept.queryRoleUrl:}")
    public void setQueryRoleUrl(String queryRoleUrl) {
        AdminConfig.queryRoleUrl = queryRoleUrl;
    }

    @Value("${dept.queryUserUrl:}")
    public void setQueryUserUrl(String queryUserUrl) {
        AdminConfig.queryUserUrl = queryUserUrl;
    }

    @Value("${seller.userCompany:}")
    public void setUserCompany(String userCompany) {
        AdminConfig.userCompany = userCompany;
    }

    @Value("${token.expore:36000}")
    public void setExpore(int expore) {
        AdminConfig.expore = expore;
    }

    @Value("${jwt.expire:144000}")
    public void setExpire(int expire) {
        AdminConfig.expire = expire;
    }

    @Value("${dxhy.sso.redirect_url:}")
    public void setLoginUrl(String loginUrl) {
        AdminConfig.loginUrl = loginUrl;
    }

    @Value("${webscoket.url:}")
    public void setWebscoketUrl(String webscoketUrl) {
        AdminConfig.webscoketUrl = webscoketUrl;
    }

    @Value("${gyl.itaxUser:}")
    public void setItaxUser(String itaxUser) {
        AdminConfig.itaxUser = itaxUser;
    }

    @Value("${gyl.itaxDept:}")
    public void setItaxDept(String itaxDept) {
        AdminConfig.itaxDept = itaxDept;
    }

    @Value("${gyl.itaxSwitch:2}")
    public void setItaxSwitch(String itaxSwitch) {
        AdminConfig.itaxSwitch = itaxSwitch;
    }

    @Value("${gyl.parentId:}")
    public void setParentId(String parentId) {
        AdminConfig.parentId = parentId;
    }

    @Value("${dept.loginOutUrl:}")
    public void setLoginOutUrl(String loginOutUrl) {
        AdminConfig.loginOutUrl = loginOutUrl;
    }

    @Value("${cas.server.validateUrl:}")
    public void setValidateUrl(String validateUrl) {
        AdminConfig.validateUrl = validateUrl;
    }

    @Value("${yb.saaskey:dxhy}")
    public void setSaaskey(String saaskey) {
        AdminConfig.saaskey = saaskey;
    }

}
